/*
   GEM resource example #2
   the resource data is included directly into the main program
   use option 'RSI' to create the EXAMPLE.RSI file from the EXAMPLE.RSH
   output of the RCS
   set options 'include *.h' and 'free strings'
   use DEFAULT.PRJ to compile
*/

#include <stdio.h>
#include <stdlib.h>
#include <aes.h>
#include <tos.h>

/* include converted ressource data */
#pragma warn-rpt    /* turn off warning msg */
#include "example.rsi"
#pragma warn+rpt    /* turn it on again */

int ap_id;

int main(void)
{
	OBJECT *tree;
	char *str;
	int x,y,w,h; /* dialog box size & coordinates */
	int result; 
	
	ap_id = appl_init();
	if (ap_id < 0)
	{
		Cconws("appl_init() failed.");
		exit(1);
	}
	graf_mouse(ARROW,NULL);
	rsrc_init();               /* initialize included ressource data */
	tree = rs_trindex[TREE1];  /* get address of main tree */

	/* prepare dialog handling */
	form_center(tree,&x,&y,&w,&h);
	form_dial(FMD_START,x,y,w,h,x,y,w,h);
	objc_draw(tree,0,10,x,y,w,h);
	result = form_do(tree,EDIT1);
	form_dial(FMD_FINISH,x,y,w,h,x,y,w,h);
  /* de-select exit object */
  tree[result&0x7FFF].ob_state &= ~SELECTED;

	/* get ptr to address of free string (alert box) */
	/* other free strings can be accessed in a similar way */
	str = rs_frstr[ALERT1];
	/* display alert box defined in ressource */
	form_alert(1,str);
	
	appl_exit();
	return 0;
}
